--[[=====================================
	Scanning tooltip
--=====================================]]
local tip = CreateFrame("GameTooltip")
local linecache = {}
tip:SetOwner(WorldFrame, "ANCHOR_NONE")
for i=1,40 do
	linecache[i] = tip:CreateFontString()
	tip:AddFontStrings(linecache[i], tip:CreateFontString())
end
local function SetTooltipLink(link)
	tip:ClearLines()
	-- Battlepet links break tooltips!
	if string.find(link, "battlepet") then return end
	if not tip:IsOwned(WorldFrame) then
		tip:SetOwner(WorldFrame, "ANCHOR_NONE")
	end
	tip:SetHyperlink(link)
end
local function SetTooltipID(link)
	tip:ClearLines()
	if not tip:IsOwned(WorldFrame) then
		tip:SetOwner(WorldFrame, "ANCHOR_NONE")
	end
	tip:SetItemByID(link)
end

local function CullBags()
	for b=0,4 do
		for s=1,GetContainerNumSlots(b) do
			local link = GetContainerItemLink(b,s)
			if link then
				SetTooltipLink(link)
				if linecache[2]:GetText() and string.find(linecache[2]:GetText(), ARTIFACT_POWER) then
					-- print(select(1,GetItemInfo(link)))
					PickupContainerItem(b,s)
					DeleteCursorItem()
				end
			end
		end
	end
end

local f = CreateFrame("Frame")
f:RegisterEvent("BAG_UPDATE_DELAYED")
f.active = 0
f:SetScript("OnEvent", function(self, event, ...)
	if event == "BAG_UPDATE" then
		CullBags()
		return
	end
	if event == "BAG_UPDATE_DELAYED" then
		f.active = f.active + 1
		if f.active == 2 then
			f:RegisterEvent("BAG_UPDATE")
		end
		return
	end
end)